Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-2774

class can `require` itself without raising an error

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Accepted
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: PUP 5.y
    • Component/s: Compiler
    • Labels:
    • Template:
    • Epic Link:
    • Team:
      Coremunity

      Description

      of course eventually dependency cycles are found, but it would be convenient if we were able to communicate this earlier in development

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            david David Gwilliam
            QA Contact:
            Kurt Wall
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:

                Zendesk Support